import request from '@/utils/request'

export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: '/master/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params
    // params: params
  })
}

// 添加策略 POST
// 
// /strategyConfig/save-strategyConfig	
export function savestrategyConfig(params) {
    return request({
      // url: 'mapi/eis/containerMonitoring',
      url: '/master/strategyConfig/save-strategyConfig',
      method: 'post',
      data: params
      // params: params
    })
  }

  	


  export function updatestrategyConfig(params) {
    return request({
      // url: 'mapi/eis/containerMonitoring',
      url: '/master/strategyConfig/update-strategyConfig',
      method: 'post',
      data: params
      // params: params
    })
  }

  export function delstrategyConfigid(params) {
    return request({
      // url: 'mapi/eis/containerMonitoring',
      url: '/master/strategyConfig/del-strategyConfig-id',
      method: 'get',
      params: params
      // params: params
    })
  }
//   选择策略 POST

//   /strategyConfig/choice-strategyConfig-id	
export function choicestrategyConfigid(params) {
    return request({
      // url: 'mapi/eis/containerMonitoring',
      url: '/master/strategyConfig/choice-strategyConfig-id',
      method: 'post',
      data: params
      // params: params
    })
  }
  	